<h1 class="text-center my-3">Our pokemons</h1>

<!-- <div class="my-3">
  <input type="text" [(ngModel)]="pokemonSearchTerm" placeholder="Find Pokemon" class="form-control w-25">
</div> -->

<app-search-pokemon></app-search-pokemon>

<div class="row">
  <div class="col-md-11">
    <div class="row">
      <div class="col-md-3" (click)="viewPokemonDetail(pokemon.id)" *ngFor="let pokemon of filteredPokemonList">
        <div class="card mb-3" appBorderCard="black" style="max-width: 540px;">
            <div class="row g-0">
              <div class="col-md-4">
                <img [src]="pokemon.picture" class="img-fluid rounded-start" alt="Photo de {{ pokemon.name }}">
              </div>
              <div class="col-md-8">
                <div class="card-body">
                  <h5 class="card-title">{{ pokemon.name }}</h5>
                  <p class="card-text"><small class="text-body-secondary">{{ pokemon.created | date:'dd/MM/yyyy' }}</small></p>
                  <span class="{{ type | pokemonTypeColor }}" *ngFor="let type of pokemon.types"> {{ type }} </span>
                </div>
              </div>
            </div>
          </div>
      </div>
    </div>
  </div>
  <div class="col-md-1">
    <button class="btn btn-danger btn-add" (click)="addPokemon()">
      <span class="btn-add-icon">+</span>
    </button>
  </div>
</div>


